import java.util.LinkedList;

/**
 * A trivial implementation of the simple queue interface, built as
 * a wrapper around the LinkedList class from java.util.
 */
public class SimpleQueue<T> implements MyQueue<T> {
    private LinkedList<T> data = new LinkedList<T>();
    
    public boolean add(T item) {data.addLast(item); return true;}
    
    public T remove() {
	return data.remove(); //removeFirst();
    }
    
    public T peek() {
	if (isEmpty()) return null;
	else return data.peek(); //getFirst()
    }
    
    public int size() {return data.size();}
    
    public boolean isEmpty() {return data.isEmpty();}

}